Bug 619295 - [abrt] crash in gpodder-2.7-1.fc13: minidb.py:140:remove:ProgrammingError: You must not use 8-bit bytestrings unless you use a text_factory that can interpret 8-bit bytestrings (like text_factory = str). It is highly recommended that you instead just swit
[abrt] crash in gpodder-2.7-1.fc13: minidb.py:140:remove:ProgrammingError: Yo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gpodder (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:d1c82598
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 04:06 EDT by Kvikende
Modified: 2010-09-09 00:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: gpodder-2.8-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 21:13:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.35 KB, text/plain)
2010-07-29 04:06 EDT, Kvikende
no flags Details

  None (edit)
Description Kvikende 2010-07-29 04:06:36 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gpodder
comment: I have several podcasts subscribed. I have sync. to gpodder.net enabled. I have a filesystem based media player.
component: gpodder
executable: /usr/bin/gpodder
kernel: 2.6.33.6-147.fc13.x86_64
package: gpodder-2.7-1.fc13
reason: minidb.py:140:remove:ProgrammingError: You must not use 8-bit bytestrings unless you use a text_factory that can interpret 8-bit bytestrings (like text_factory = str). It is highly recommended that you instead just switch your application to Unicode strings.
release: Fedora release 13 (Goddard)

backtrace
-----
minidb.py:140:remove:ProgrammingError: You must not use 8-bit bytestrings unless you use a text_factory that can interpret 8-bit bytestrings (like text_factory = str). It is highly recommended that you instead just switch your application to Unicode strings.

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gpodder/gtkui/desktop/preferences.py", line 211, in on_dialog_destroy
    self.mygpo_client.create_device()
  File "/usr/lib/python2.6/site-packages/gpodder/my.py", line 193, in create_device
    self._store.remove(self._store.load(UpdateDeviceAction))
  File "/usr/lib/python2.6/site-packages/gpodder/minidb.py", line 128, in remove
    self.remove(child)
  File "/usr/lib/python2.6/site-packages/gpodder/minidb.py", line 140, in remove
    ' AND '.join('%s=?'%s for s in slots)), values)
ProgrammingError: You must not use 8-bit bytestrings unless you use a text_factory that can interpret 8-bit bytestrings (like text_factory = str). It is highly recommended that you instead just switch your application to Unicode strings.

Local variables in innermost frame:
slot: 'device_type'
self: <gpodder.minidb.Store object at 0x26fb110>
o: <gpodder.my.UpdateDeviceAction object at 0x7f289c2bc908>
s: 'device_type'
values: ['gPodder p\xc3\xa5 Laptor', 'Laptor', 'laptop']
table: 'UpdateDeviceAction'
slots: ['caption', 'device_id', 'device_type']

How to reproduce
-----
1. Open Gpodder's settings
2. Press the «Edit advanced» (name might differ a bit.)
Comment 1 Kvikende 2010-07-29 04:06:38 EDT
Created attachment 435215 [details]
File: backtrace
Comment 2 Ville-Pekka Vainio 2010-07-29 16:08:50 EDT
Reported upstream with a patch: https://bugs.gpodder.org/show_bug.cgi?id=1088
When Thomas comments on the patch and the dist-git transition is over, I can build a package with the patch for testing.
Comment 3 Fedora Update System 2010-08-23 05:15:32 EDT
gpodder-2.7-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/gpodder-2.7-3.fc14
Comment 4 Fedora Update System 2010-08-23 05:19:08 EDT
gpodder-2.7-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gpodder-2.7-3.fc13
Comment 5 Fedora Update System 2010-08-23 15:02:10 EDT
gpodder-2.7-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpodder'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gpodder-2.7-3.fc14
Comment 6 Fedora Update System 2010-09-08 21:13:39 EDT
gpodder-2.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-09-09 00:32:05 EDT
gpodder-2.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.